# Poco::Net

# class NullPartHandler

Library: Net
Package: Messages
Header: Poco/Net/NullPartHandler.h

## Description

A very special PartHandler that simply discards all data.

## Inheritance

Direct Base Classes: PartHandler

All Base Classes: PartHandler

## Member Summary

Member Functions: handlePart

Inherited Functions: handlePart

## Constructors

### NullPartHandler

NullPartHandler();

Creates the NullPartHandler.

## Destructor

### ~NullPartHandler

~NullPartHandler();

Destroys the NullPartHandler.

## Member Functions

### handlePart

void handlePart(
const MessageHeader & header,
std::istream & stream
);

Reads and discards all data from the stream.

See also: Poco::Net::PartHandler::handlePart()